package com.qizhen.healsphere.common.ai;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Knowlege {
    @ExcelProperty("实体")
    private String entity;
    @ExcelProperty("属性")
    private String property;
    @ExcelProperty("属性值")
    private String value;
    @ExcelProperty("回答")
    private String answer;
    @ExcelProperty("refenrece")
    private String refenrece;
    @ExcelProperty("问题")
    private String question;
    @ExcelProperty("切片信息")
    private String chunk;

    public static void main(String[] args) {
        String t = "分类\t常见的子类疾病或疾病分类分型有哪些疾病" +
                ",分期\t可分为哪些分期？（不要分类）" +
                ",危险因素\t的危险因素有哪些危险因素" +
                ",一般治疗\t患者的一般治疗方案或指导意见有哪些（不要药品，有一般治疗优先回答一般治疗）" +
                ",就诊科室\t的就诊科室有哪些科室名称";
        if(t.startsWith("```json")){
            t = t.substring(7);
        }
        if(t.endsWith("```")){
            t = t.substring(0,t.length()-3);
        }
        System.out.println(t);
    }
}
